io.etcd.jetcd.api

## Interface LeaseTimeToLiveResponseOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  LeaseTimeToLiveResponse, LeaseTimeToLiveResponse.Builder

    public interface LeaseTimeToLiveResponseOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`long` `getGrantedTTL()` GrantedTTL is the initial granted time in seconds upon lease creation/renewal.
`ResponseHeader` `getHeader()` `.etcdserverpb.ResponseHeader header = 1;`
`ResponseHeaderOrBuilder` `getHeaderOrBuilder()` `.etcdserverpb.ResponseHeader header = 1;`
`long` `getID()` ID is the lease ID from the keep alive request.
`com.google.protobuf.ByteString` `getKeys(int index)` Keys is the list of keys attached to this lease.
`int` `getKeysCount()` Keys is the list of keys attached to this lease.
`List<com.google.protobuf.ByteString>` `getKeysList()` Keys is the list of keys attached to this lease.
`long` `getTTL()` TTL is the remaining TTL in seconds for the lease; the lease will expire in under TTL+1 seconds.
`boolean` `hasHeader()` `.etcdserverpb.ResponseHeader header = 1;`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Method Detail

#### hasHeader

    boolean hasHeader()

`.etcdserverpb.ResponseHeader header = 1;`

Returns:
  Whether the header field is set.

#### getHeader

    ResponseHeader getHeader()

`.etcdserverpb.ResponseHeader header = 1;`

Returns:
  The header.

#### getHeaderOrBuilder

    ResponseHeaderOrBuilder getHeaderOrBuilder()

`.etcdserverpb.ResponseHeader header = 1;`

#### getID

    long getID()

     ID is the lease ID from the keep alive request.

`int64 ID = 2;`

Returns:
  The iD.

#### getTTL

    long getTTL()

     TTL is the remaining TTL in seconds for the lease; the lease will expire in under TTL+1 seconds.

`int64 TTL = 3;`

Returns:
  The tTL.

#### getGrantedTTL

    long getGrantedTTL()

     GrantedTTL is the initial granted time in seconds upon lease creation/renewal.

`int64 grantedTTL = 4;`

Returns:
  The grantedTTL.

#### getKeysList

    List<com.google.protobuf.ByteString> getKeysList()

     Keys is the list of keys attached to this lease.

`repeated bytes keys = 5;`

Returns:
  A list containing the keys.

#### getKeysCount

    int getKeysCount()

     Keys is the list of keys attached to this lease.

`repeated bytes keys = 5;`

Returns:
  The count of keys.

#### getKeys

    com.google.protobuf.ByteString getKeys(int index)

     Keys is the list of keys attached to this lease.

`repeated bytes keys = 5;`

Parameters:
  `index` - The index of the element to return.
Returns:
  The keys at the given index.